Name:           gnome-desktop-sharp
Version:        2.24.0
Release:        3%{?dist}
Summary:        .NET language binding for mono

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://www.mono-project.com/GtkSharp
Source0:        http://ftp.gnome.org/pub/gnome/sources/%{name}/2.24/%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-libdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel, gtk2-devel, gtkhtml3-devel
BuildRequires:  librsvg2-devel, vte-devel, gnome-panel-devel
BuildRequires:  libwnck-devel, gtksourceview2-devel, libgnomeprintui22-devel
BuildRequires:  nautilus-cd-burner-devel, gnome-sharp-devel
BuildRequires:  gtk-sharp2-gapi >= 2.12.0
BuildRequires:  gtk-sharp2-devel >= 2.12.0

Provides:       gtksourceview2-sharp = 2:%{version}-%{release}
Obsoletes:      gtksourceview2-sharp < 2:2.20.1-2

#Mono only available on this following arch
ExclusiveArch:  %ix86 x86_64 ppc ia64 armv4l sparc alpha

%description
GnomeDesktop is a .NET language binding for assorted
GNOME libraries from the desktop release.

%package         devel
Summary:         Developing files for gnome-Desktop-sharp
Group:           Development/Libraries
Requires:        %{name} = %{version}-%{release}
Requires:        pkgconfig

Provides:        gtksourceview2-sharp-devel = 2:%{version}-%{release}
Obsoletes:       gtksourceview2-sharp-devel < 2:2.20.1-2

%description     devel
Package %{name}-devel provides development files for writing
%{name} applications.


%prep
%setup -q
%patch0 -p1 -b .libdir

# Fix GACUTIL FLAGS lib
sed -i 's|$(prefix)/lib|%{_libdir}|g' configure

# Fix permission
chmod 0644 HACKING

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove libttol archive
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog AUTHORS README
%{_libdir}/*.so
%{_libdir}/mono/gac/gnomedesktop-sharp
%{_libdir}/mono/gac/gnome-panel-sharp
%{_libdir}/mono/gac/gnome-print-sharp
%{_libdir}/mono/gac/nautilusburn-sharp
%{_libdir}/mono/gac/gtkhtml-sharp
%{_libdir}/mono/gac/gtksourceview2-sharp
%{_libdir}/mono/gac/rsvg2-sharp
%{_libdir}/mono/gac/vte-sharp
%{_libdir}/mono/gac/wnck-sharp
%{_libdir}/mono/gnomedesktop-sharp-2.20
%{_libdir}/mono/gnome-panel-sharp-2.24
%{_libdir}/mono/gnome-print-sharp-2.18
%{_libdir}/mono/nautilusburn-sharp-2.20
%{_libdir}/mono/gtkhtml-sharp-3.14
%{_libdir}/mono/gtksourceview2-sharp-2.0
%{_libdir}/mono/rsvg2-sharp-2.0
%{_libdir}/mono/vte-sharp-0.16
%{_libdir}/mono/wnck-sharp-2.20
%{_datadir}/gnomedesktop-sharp
%{_datadir}/gnome-panel-sharp
%{_datadir}/gnome-print-sharp
%{_datadir}/nautilusburn-sharp
%{_datadir}/gtkhtml-sharp
%{_datadir}/gtksourceview2-sharp
%{_datadir}/rsvg2-sharp
%{_datadir}/vte-sharp
%{_datadir}/wnck-sharp

%files           devel
%defattr(-,root,root,-)
%doc HACKING
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Oct 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.24.0-3
- and BR: libgnomeprintui22-devel

* Mon Oct 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.24.0-2
- add gnome-sharp-devel as BuildRequires

* Thu Oct 16 2008 Dan Winship <dwinship@redhat.com> - 2.24.0-1
- Update to 2.24.0

* Sat Jul 05 2008 Xavier Lamien <lxtnow[at]gmail.com> - 2.20.1-2
- Obsolete standalone package gtksourceview2-sharp.

* Sat Jul 05 2008 Xavier Lamien <lxtno[at]gmail.com> - 2.20.1-1
- Initial RPM Release.
